org.eclipse.rdf4j.query.parser.sparql.ast

## Class UnicodeEscapeStream

- java.lang.Object
- - org.eclipse.rdf4j.query.parser.sparql.ast.JavaCharStream
  - - org.eclipse.rdf4j.query.parser.sparql.ast.UnicodeEscapeStream

- All Implemented Interfaces:
    CharStream

      public class UnicodeEscapeStream
      extends JavaCharStream
      implements CharStream

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.rdf4j.query.parser.sparql.ast.JavaCharStream

      `bufcolumn, buffer, bufline, bufpos, column, inBuf, inputStream, line, maxNextCharInd, nextCharBuf, nextCharInd, prevCharIsCR, prevCharIsLF, staticFlag, tabSize`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UnicodeEscapeStream(Reader dstream, int tabSize)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `char` | `readChar()` Read a character.

    - ### Methods inherited from class org.eclipse.rdf4j.query.parser.sparql.ast.JavaCharStream

      `adjustBeginLineColumn, AdjustBuffSize, backup, BeginToken, Done, ExpandBuff, FillBuff, getBeginColumn, getBeginLine, getColumn, getEndColumn, getEndLine, GetImage, getLine, GetSuffix, getTabSize, ReadByte, ReInit, ReInit, ReInit, ReInit, ReInit, ReInit, ReInit, ReInit, ReInit, setTabSize, UpdateLineColumn`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.query.parser.sparql.ast.CharStream

      `backup, BeginToken, Done, getBeginColumn, getBeginLine, getColumn, getEndColumn, getEndLine, GetImage, getLine, GetSuffix`

- - ### Constructor Detail

    - #### UnicodeEscapeStream

          public UnicodeEscapeStream(Reader dstream,
                                     int tabSize)

  - ### Method Detail

    - #### readChar

          public char readChar()
                        throws IOException

      Description copied from class: `JavaCharStream`
      Read a character.
      Specified by:
        `readChar` in interface `CharStream`
      Overrides:
        `readChar` in class `JavaCharStream`
      Throws:
        `IOException`

Copyright © 2015-2020 Eclipse Foundation. All Rights Reserved.